%define		kdeappsver	19.04.1
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kbackup
Summary:	Kbackup
Name:		ka5-%{kaname}
Version:	19.04.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	f443f27083244bbf4e2c9baaf568eaea
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-karchive-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-knotifications-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KBackup is an application that lets you back up any folders or files
in a tar archive to a local folder, e.g. a locally mounted device like
a ZIP drive, USB stick, etc. or a remote URL.

Features

- Using profile files with definitions for Folders and files to be
  included or excluded from the backup
- The backup target can be either a locally mounted device like a ZIP
  drive, USB stick, etc. or any remote URL
- Running automated backups without using a graphical user interface

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kbackup
%{_desktopdir}/org.kde.kbackup.desktop
%{_iconsdir}/hicolor/16x16/apps/kbackup.png
%{_iconsdir}/hicolor/16x16/mimetypes/text-x-kbp.png
%{_iconsdir}/hicolor/22x22/actions/kbackup_cancel.png
%{_iconsdir}/hicolor/22x22/actions/kbackup_runs.png
%{_iconsdir}/hicolor/22x22/actions/kbackup_start.png
%{_iconsdir}/hicolor/32x32/apps/kbackup.png
%{_iconsdir}/hicolor/32x32/mimetypes/text-x-kbp.png
%dir %{_datadir}/kxmlgui5/kbackup
%{_datadir}/kxmlgui5/kbackup/kbackupui.rc
%{_datadir}/metainfo/org.kde.kbackup.appdata.xml
%{_datadir}/mime/packages/kbackup.xml
%changelog
* Sat May 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kbackup.git;a=log;h=master

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 0f5753d
- updated to 19.04.1
- packaged docs
- macro kframever

* Sat Jan 12 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 8504d7a
- updated to 18.12.1; ninja

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 7b5ca17
- updated to 18.12.0

